using System.Resources;

namespace ResourceExample;

public static class Program2
{
    // Aby skorzystać z tego punktu wejścia, zmień nazwę tej metody na Main, 
    // a metodę Program.Main zmień na Program.AltMain; 
    // w ten sposób będziesz mógł użyć ustawień lokalnych en-GB
    public static void AltMain(string[] args)
    {
        Thread.CurrentThread.CurrentUICulture =
            new System.Globalization.CultureInfo("en-GB");

        var rm = new ResourceManager(
            "ResourceExample.MyResources", typeof(Program).Assembly);
        string colText = rm.GetString("ColString")!;
        Console.WriteLine("U nas 'kolor' to: " + colText);
    }
}